Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Error message: Platform version 101.0.1 not compatible with minVersion

  • 3 replies
  • 1 has this problem
  • 221 views
  • Last reply by cor-el

more options

Firefox will not open.

Firefox will not open.

Chosen solution

An error message about XPCOM missing or about platform version usually happens because of a failed Firefox update that left you with a mixture of old and updated files in the Firefox program folder. This can happen in case security software was keeping a handle of some of the files in the Firefox program folder preventing Firefox from replacing all the files. You need to do a clean reinstall and remove the Firefox program folder to ensure that all files are replaced. You may have to disable security software temporarily in case the problem persists.

Read this answer in context 👍 0

All Replies (3)

more options

Do you have a home page or some other page open in the browser which is generating this message? If you can't fix the problem, create a new profile with Firefox closed.

https://support.mozilla.org/en-US/kb/profile-manager-create-remove-switch-firefox-profiles#w_start-the-profile-manager-when-firefox-is-closed

Helpful?

more options

I don't have any pages open in the browser, because my Firefox browser won't open and won't start. When I try to open it, I get that error message I described in a window "XUL Runner". When I try to follow the instructions you sent, Firefox still will not open or start, and I get the same error message. When I try to open the profile page from the search box in the Windows start menu, neither Firefox or the profile page will not open or start, and I get the same error message. The way I was able to access my e-mail to send and receive messages was to install the Google Chrome Browser, which I am using now. I would still rather use the Firefox browser, especially since it has stored all my bookmarks.

Modified by kjcoffeeman

Helpful?

more options

Chosen Solution

An error message about XPCOM missing or about platform version usually happens because of a failed Firefox update that left you with a mixture of old and updated files in the Firefox program folder. This can happen in case security software was keeping a handle of some of the files in the Firefox program folder preventing Firefox from replacing all the files. You need to do a clean reinstall and remove the Firefox program folder to ensure that all files are replaced. You may have to disable security software temporarily in case the problem persists.

Helpful?

Ask a question

You must log in to your account to reply to posts. Please start a new question, if you do not have an account yet.